LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
DocumentSignatureInformation Struct Reference

Status of digital signatures in a document. More...

`import"DocumentSignatureInformation.idl";`

## Public Attributes
XCertificate | Signer
long | SignatureDate
long | SignatureTime
boolean | SignatureIsValid
long | CertificateStatus
boolean | PartialDocumentSignature

## Detailed Description

Status of digital signatures in a document.

This structure has the information about a digital signature in a document, and the status if the signature is valid.

## Member Data Documentation

long CertificateStatus

boolean PartialDocumentSignature

long SignatureDate

boolean SignatureIsValid

long SignatureTime

XCertificate Signer

The documentation for this struct was generated from the following file:

- com/sun/star/security/DocumentSignatureInformation.idl